> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meld.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search activity log

> Retrieve logged activity filtered by various parameters over a date range.

See [here](https://docs.meld.io/docs/debugging-activity-log) for information on how to use the activity log and why.



## OpenAPI

````yaml /openapi/beta-20260203.json get /activity-log
openapi: 3.1.0
info:
  title: BETA
  termsOfService: urn:tos
  license:
    name: Apache 2.0
    url: https://springdoc.org
  version: '2026-02-03'
  description: ''
servers:
  - url: https://api-sb.meld.io
    description: Meld API sandbox
  - url: https://api.meld.io
    description: Meld API production
security: []
tags:
  - name: Activity Log
paths:
  /activity-log:
    get:
      tags:
        - Activity Log
      summary: Search activity log
      description: >-
        Retrieve logged activity filtered by various parameters over a date
        range.


        See [here](https://docs.meld.io/docs/debugging-activity-log) for
        information on how to use the activity log and why.
      operationId: activity-log-search
      parameters:
        - name: start
          in: query
          description: >-
            Start date/time of the date range.


            ISO DateTime Format yyyy-MM-dd'T'HH:mm:ss e.g.
            '2021-02-15T10:30:00.000-08:00'


            Time zone must match the time zone of the end date/time if also
            present.
          required: true
          schema:
            type: string
            format: date-time
        - name: end
          in: query
          description: >-
            End date/time of the date range.


            ISO DateTime Format yyyy-MM-dd'T'HH:mm:ss e.g.
            '2021-02-15T11:30:00.000-08:00'


            Time zone must match the time zone of the start date/time if also
            present.
          required: true
          schema:
            type: string
            format: date-time
        - name: actions
          in: query
          description: |-
            Comma separated list of actions to include.

            Only include activity for these actions.
          required: false
          schema:
            type: string
        - name: requestId
          in: query
          description: Only include activity that occurred during this request.
          required: false
          schema:
            type: string
        - name: customerId
          in: query
          description: >-
            Only include activity for this customer.


            The ***customerId*** and ***externalCustomerId*** fields cannot be
            used in the same request.
          required: false
          schema:
            type: string
        - name: externalCustomerId
          in: query
          description: >-
            Only include activity for this customer.


            The ***customerId*** and ***externalCustomerId*** fields cannot be
            used in the same request.
          required: false
          schema:
            type: string
        - name: connectionIds
          in: query
          description: |-
            Comma separated list of connection ids to include.

            Only include activity for these connections.
          required: false
          schema:
            type: string
        - name: financialAccountIds
          in: query
          description: |-
            Comma separated list of financial account ids to include.

            Only include activity for these financial accounts.
          required: false
          schema:
            type: string
        - name: eventType
          in: query
          description: Only include activity for this event type.
          required: false
          schema:
            type: string
        - name: before
          in: query
          description: >-
            Unique key corresponding to an activity's position in the paginated
            list of results -- used to indicate that only activity residing
            before this key will be retrieved.


            Each activity carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: >-
            Unique key corresponding to an activity's position in the paginated
            list of results -- used to indicate that only activity residing
            after this key will be retrieved.


            Each activity carries a unique key. Reference
            [Pagination](https://docs.meld.io/docs/pagination)


            The ***before*** and ***after*** fields cannot be used in the same
            request.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: |-
            Limits number of returned activity.

            *Default value*: 10

            *Minimum value*: 1

            *Maximum value*: 100
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: Activity is returned
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ActivityPage'
        '400':
          description: 'Bad Request : check request values and format'
        '401':
          description: Invalid credentials
        '403':
          description: Unauthenticated or authenticated with insufficient access
        '500':
          description: >-
            Server Error. This applies to all 5xx errors, including but not
            limited to 500, 501, 502, 503, and 504 errors. You should treat all
            of these errors the same.
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ActivityPage:
      type: object
      properties:
        activities:
          type: array
          description: Activities
          items:
            $ref: '#/components/schemas/ActivityResponse'
        count:
          type: integer
          format: int32
          description: Number of activities returned.
        remaining:
          type: integer
          format: int32
          description: >-
            Number of remaining activities before/after this page, depending on
            the direction this page was selected.
    ActivityResponse:
      type: object
      properties:
        action:
          type: string
          description: What happened
          enum:
            - API_ACCESS_PROFILE_CREATED
            - API_ACCESS_PROFILE_UPDATED
            - API_ACCESS_PROFILE_DISABLED
            - API_ACCESS_PROFILE_ENABLED
            - API_ACCESS_PROFILE_EXPIRED
            - INBOUND_REQUEST
            - INBOUND_REQUEST_DASHBOARD
            - INBOUND_REQUEST_WEBHOOK
            - INBOUND_REQUEST_WIDGET
            - INBOUND_REQUEST_INTERNAL
            - INSTITUTION_CONNECTION_COMPLETED
            - INSTITUTION_CONNECTION_CREATED
            - INSTITUTION_CONNECTION_DELETED
            - INSTITUTION_CONNECTION_EXPIRED
            - INSTITUTION_CONNECTION_IMPORT_FAILED
            - INSTITUTION_CONNECTION_IMPORTED
            - INSTITUTION_CONNECTION_UPDATED
            - INSTITUTION_CONNECTION_WIDGET_EVENT
            - INSTITUTION_CONNECTION_WIDGET_ERROR
            - OUTBOUND_REQUEST
            - OUTBOUND_REQUEST_WEBHOOK
            - OUTBOUND_REQUEST_SERVICE_PROVIDER
            - PAYMENT_TRANSACTION_CREATED
            - PAYMENT_TRANSACTION_UPDATED
            - SERVICE_PROVIDER_ACCESS_PROFILE_CREATED
            - SERVICE_PROVIDER_ACCESS_PROFILE_UPDATED
            - SERVICE_PROVIDER_ACCESS_PROFILE_DISABLED
            - SERVICE_PROVIDER_ACCESS_PROFILE_ENABLED
            - SERVICE_PROVIDER_ACCESS_PROFILE_EXPIRED
        actor:
          description: Who did it
          allOf:
            - $ref: '#/components/schemas/Actor'
        attributes:
          type: object
          additionalProperties: {}
          description: Key attributes related to this activity
        details:
          description: Details about this activity (depends on the action)
        entity:
          description: What did this happen to
          allOf:
            - $ref: '#/components/schemas/Entity'
        key:
          type: string
          description: >-
            When this activity is part of a paginated list, this key represents
            its position in the list
        occurredAt:
          type: string
          format: date-time
          description: When did it happen
    Actor:
      type: object
      properties:
        id:
          type: string
          description: Id
        name:
          type: string
          description: Name
        type:
          type: string
          description: Type
    Entity:
      type: object
      properties:
        id:
          type: string
          description: Id
        type:
          type: string
          description: Type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      x-default: BASIC <Meld API Key>

````